%?mingw_package_header

Name:           mingw-libogg
Version:        1.3.2
Release:        2%{?dist}
Summary:        The Ogg bitstream file format library

License:        BSD
URL:            http://www.xiph.org/
Source:         http://downloads.xiph.org/releases/ogg/libogg-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils


%description
Libogg is a library for manipulating Ogg bitstream file formats.
Libogg supports both making Ogg bitstreams and getting packets from
Ogg bitstreams.


# Win32
%package -n mingw32-libogg
Summary:        The Ogg bitstream file format library
Requires:       pkgconfig

%description -n mingw32-libogg
Libogg is a library for manipulating Ogg bitstream file formats.
Libogg supports both making Ogg bitstreams and getting packets from
Ogg bitstreams.

# Win64
%package -n mingw64-libogg
Summary:        The Ogg bitstream file format library
Requires:       pkgconfig

%description -n mingw64-libogg
Libogg is a library for manipulating Ogg bitstream file formats.
Libogg supports both making Ogg bitstreams and getting packets from
Ogg bitstreams.


%?mingw_debug_package


%prep
%setup -q -n libogg-%{version}

%build
sed -i "s/-O20/-O2/" configure
sed -i "s/-ffast-math//" configure
%mingw_configure --disable-static
%mingw_make %{?_smp_mflags}

%install
%mingw_make DESTDIR=$RPM_BUILD_ROOT install

# zap docs, redundant with native package
rm -rf $RPM_BUILD_ROOT%{mingw32_docdir}
rm -rf $RPM_BUILD_ROOT%{mingw64_docdir}

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete


# Win32
%files -n mingw32-libogg
%license COPYING
%doc AUTHORS CHANGES README
%{mingw32_bindir}/libogg-0.dll
%{mingw32_libdir}/libogg.dll.a
%{mingw32_libdir}/pkgconfig/ogg.pc
%dir %{mingw32_includedir}/ogg
%{mingw32_includedir}/ogg/ogg.h
%{mingw32_includedir}/ogg/os_types.h
%{mingw32_includedir}/ogg/config_types.h
%{mingw32_datadir}/aclocal/ogg.m4

# Win64
%files -n mingw64-libogg
%license COPYING
%doc AUTHORS CHANGES README
%{mingw64_bindir}/libogg-0.dll
%{mingw64_libdir}/libogg.dll.a
%{mingw64_libdir}/pkgconfig/ogg.pc
%dir %{mingw64_includedir}/ogg
%{mingw64_includedir}/ogg/ogg.h
%{mingw64_includedir}/ogg/os_types.h
%{mingw64_includedir}/ogg/config_types.h
%{mingw64_datadir}/aclocal/ogg.m4


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Oct 24 2016 Kalev Lember <klember@redhat.com> - 1.3.2-1
- Update to 1.3.2
- Don't set group tags
- Use license macro for COPYING

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Apr 14 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.3.0-2
- Prevent a file conflict with the debuginfo packages

* Sun Apr  8 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.3.0-1
- Update to 1.3.0

* Sun Mar 18 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.1.4-7
- Added win64 support (contributed by Marc-André Lureau)
- Automatically generate debuginfo package

* Wed Mar 07 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.1.4-6
- Renamed the source package to mingw-libogg (RHBZ #800918)
- Use mingw macros without leading underscore
- Dropped unneeded RPM tags
- Dropped .la files

* Mon Feb 27 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.1.4-5
- Rebuild against the mingw-w64 toolchain

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 13 2010 Gerd Hoffmann <kraxel@redhat.com> - 1.1.4-2
- Remove documentation.

* Mon Jul 12 2010 Gerd Hoffmann <kraxel@redhat.com> - 1.1.4-1
- Initial package.
